﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Models.Datas
{
    /// <summary>
    /// 时序数据
    /// </summary>
    public class TsData
    {
        /// <summary>
        /// 时间戳
        /// </summary>
        public long Ts { get; set; }
        public bool? boolValue { get; set; }
        public double? doubleValue { get; set; }
        /// <summary>
        /// 值
        /// </summary>
        public double Value
        {
            get
            {
                if (doubleValue != null)
                {
                    return doubleValue.Value;
                }
                return boolValue == true ? 1 : 0;
            }
            set { doubleValue = value; }
        }
    }
}
