﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Models.Windturbine
{
    /// <summary>
    /// 状态时间信息
    /// </summary>
    public class StatusTimeInfo
    {
        /// <summary>
        /// 状态开始时间戳
        /// </summary>
        public long Ts { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }
        /// <summary>
        /// 风机名称
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        public string StartTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        public string EndTime { get; set; }
        private double duration;
        /// <summary>
        /// 状态持续时间
        /// </summary>
        public double Duration { get => duration; set => duration = Math.Round(value, 2); }
        /// <summary>
        /// 状态名称
        /// </summary>
        public string StatusName { get; set; }
    }
}
