﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace NEIntelligentControl2.Models.BoostStation
{
    /// <summary>
    /// 升压站控件信息
    /// </summary>
    public class BoostStationPointInfo
    {
        /// <summary>
        /// 坐标
        /// </summary>
        public Point Coordinate { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        public string Type { get; set; }
        /// <summary>
        /// 数据标签
        /// </summary>
        public string DataTag { get; set; }
        /// <summary>
        /// 中心点坐标
        /// </summary>
        public Point CenterCoordinate { get; set; }
        /// <summary>
        /// 角度
        /// </summary>
        public int Angle { get; set; }
        /// <summary>
        /// 数据标签与名称
        /// </summary>
        public string Info { get; set; }
        /// <summary>
        /// 缩放比例
        /// </summary>
        public int Proportion { get; set; }
        /// <summary>
        /// 是否取反
        /// </summary>
        public bool IsNegate { get; set; }
    }
}
