﻿using NEIntelligentControl2.Service.WebSocket;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Models.Messages
{
    internal class AlarmCountBridge : IMessage
    {
        public List<string> MessageTypes { get; set; } = new List<string> { "SubscribeRuntimeAlarm".GetConfiguration() };

        public Action<List<Models.Alarm.AlarmInfo>> Messaged { get; set; }

        public async Task OnMessage(object message)
        {
            try
            {
                await Task.Run(onmessage);
            }
            catch (Exception e)
            {
                Console.WriteLine($"报警信息WebSocket数据解析失败：{e.Message}");
            }

            void onmessage()
            {
                var ss = message as List<Models.Alarm.AlarmInfo>;
                if (ss == null) return;
                Messaged?.Invoke(ss);
            }
        }
    }
}
