﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Models.PV
{
    /// <summary>
    /// 光伏状态
    /// </summary>
    public enum PVState
    {
        /// <summary>
        /// 未知
        /// </summary>
        UnKnow = -1,
        /// <summary>
        /// 待机
        /// </summary>
        Standby = 0,
        /// <summary>
        /// 并网
        /// </summary>
        GridConnected = 1,
        /// <summary>
        /// 故障
        /// </summary>
        Malfunction = 2,
        /// <summary>
        /// 离线
        /// </summary>
        Offline = 3,
        /// <summary>
        /// 维护
        /// </summary>
        Maintain = 4,
        /// <summary>
        /// 限电
        /// </summary>
        Restriction = 5,
        /// <summary>
        /// 限电停机
        /// </summary>
        RestrictionShutdown = 6
    }
}
