﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Models.WinForms
{
    public class UniformCodeInfo
    {
        /// <summary>
        /// 风机编号
        /// </summary>
        public string WindturbineId { set; get; }

        /// <summary>
        /// 风机型号
        /// </summary>
        public string ModelId { set; get; }

        /// <summary>
        /// 统一编码
        /// </summary>
        public string UniformCode { set; get; }

        /// <summary>
        /// 报警编号
        /// </summary>
        public string WarningNum { set; get; }

        /// <summary>
        /// 含义(标题)
        /// </summary>
        public string Name { set; get; }

        /// <summary>
        /// plc变量名
        /// </summary>
        public string PlcName { set; get; }

        /// <summary>
        /// 顺序
        /// </summary>
        public int Index { set; get; }

        /// <summary>
        /// 单位
        /// </summary>
        public string Unit { set; get; }

        /// <summary>
        /// 分组名称
        /// </summary>
        public string PartName { set; get; }

        /// <summary>
        /// 分组序号
        /// </summary>
        public string PartIndex { set; get; }

        /// <summary>
        /// 测点值
        /// </summary>
        public string PointValue { set; get; }

        /// <summary>
        /// 倍率
        /// </summary>
        public double Ratio { get; set; } = 1;
    }
}
