﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Models.Windturbine
{
    public class PointInfo : INotifyPropertyChanged
    {
        public string PointName { get; set; }
        public string TagName { get; set; }
        private double pointValue;
        [JsonIgnore]
        public double PointValue { get => pointValue; set { pointValue = Math.Round(value, 2); PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("PointValue")); } }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
